com.sun.jna.platform.win32.COM.util

## Class AbstractComEventCallbackListener

- java.lang.Object
- - com.sun.jna.platform.win32.COM.util.AbstractComEventCallbackListener

- All Implemented Interfaces:
    IComEventCallbackListener

      public abstract class AbstractComEventCallbackListener
      extends java.lang.Object
      implements IComEventCallbackListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) IDispatchCallback` | `dispatchCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractComEventCallbackListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDispatchCallbackListener(IDispatchCallback dispatchCallback)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.jna.platform.win32.COM.util.IComEventCallbackListener

      `errorReceivingCallbackEvent`

- - ### Field Detail

    - #### dispatchCallback

          IDispatchCallback dispatchCallback

  - ### Constructor Detail

    - #### AbstractComEventCallbackListener

          public AbstractComEventCallbackListener()

  - ### Method Detail

    - #### setDispatchCallbackListener

          public void setDispatchCallbackListener(IDispatchCallback dispatchCallback)

      Specified by:
        `setDispatchCallbackListener` in interface `IComEventCallbackListener`

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.